package siprp.higiene.relatorio.print;

import org.jdom.Element;

public class EquipamentoToPrint
	implements PrintableInterface
{
	protected String tipo;
	protected String marca;
	protected String modelo;
	
	public EquipamentoToPrint( String tipo, String marca, String modelo )
	{
		super();
		this.tipo = tipo;
		this.marca = marca;
		this.modelo = modelo;
	}

	@Override
	public Element toJdomElement() throws Exception
	{
		Element equipamentoElement = new Element( "equipamento" );
		equipamentoElement.setText( tipo + " (" + marca + " " + modelo + ")" );
		return equipamentoElement;
	}
}
